# Generated by rust2rpm 16
%bcond_without check

%global crate starship

Name:           rust-%{crate}
Version:        0.48.0
Release:        3%{?dist}
Summary:        Minimal, blazing-fast, and infinitely customizable prompt for any shell! ☄🌌️

# Upstream license specification: ISC
License:        ISC
URL:            https://crates.io/crates/starship
Source:         %{crates_source}
# Initial patched metadata
# * No vendored dependencies
# * No Windows deps
# * Bump nix from 0.19.1 to 0.20.0:
#   https://github.com/starship/starship/commit/4d41677
Patch0:         starship-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Minimal, blazing-fast, and infinitely customizable prompt for any shell! ☄🌌️.}

%description %{_description}

%if ! %{__cargo_skip_build}
%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# ISC
# MIT
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# MPLv2.0
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        ISC and ASL 2.0 and MIT and MPLv2.0

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md CONTRIBUTING.md
%{_bindir}/starship
%endif

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md CONTRIBUTING.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+attohttpc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+attohttpc-devel %{_description}

This package contains library source intended for building other packages
which use "attohttpc" feature of "%{crate}" crate.

%files       -n %{name}+attohttpc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+battery-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+battery-devel %{_description}

This package contains library source intended for building other packages
which use "battery" feature of "%{crate}" crate.

%files       -n %{name}+battery-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+http-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http-devel %{_description}

This package contains library source intended for building other packages
which use "http" feature of "%{crate}" crate.

%files       -n %{name}+http-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+notify-rust-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+notify-rust-devel %{_description}

This package contains library source intended for building other packages
which use "notify-rust" feature of "%{crate}" crate.

%files       -n %{name}+notify-rust-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if %{with check}
echo 'git-core'
%endif

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Mar 01 2021 Fabio Valentini <decathorpe@gmail.com> - 0.48.0-3
- Bump nix to 0.20.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.48.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 04 2021 Fabio Valentini <decathorpe@gmail.com> - 0.48.0-1
- Update to version 0.48.0.
- Fixes RHBZ#1912030

* Tue Dec 29 14:21:51 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.47.0-3
- Rebuild against libgit2 1.1.x

* Mon Dec 28 13:33:06 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.47.0-2
- Rebuild

* Sun Dec 27 11:41:59 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.47.0-1
- Update to 0.47.0 (Fixes: RHBZ#1851477)

* Tue Sep 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.42.0-5
- Bump attohttpc to 0.15.

* Sun Aug 16 15:01:50 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.42.0-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.42.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.42.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> - 0.42.0-1
- Update to 0.42.0

* Sat May 16 19:47:50 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.41.3-1
- Update to 0.41.3

* Thu May 14 19:31:23 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.41.1-1
- Update to 0.41.1

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 0.41.0-1
- Update to 0.41.0

* Wed Apr 15 08:44:33 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.40.1-1
- Update to 0.40.1

* Tue Mar 24 06:47:58 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.38.1-1
- Update to 0.38.1

* Sat Mar 21 07:37:04 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.38.0-1
- Update to 0.38.0

* Thu Mar 19 11:08:35 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.37.0-2
- Update git2 to 0.13

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.37.0-1
- Update to 0.37.0

* Thu Feb 20 09:08:02 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.36.1-1
- Update to 0.36.1

* Sun Feb 16 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.36.0-2
- Fixup license list

* Thu Feb 13 05:20:12 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.36.0-1
- Update to 0.36.0

* Tue Feb 11 13:28:47 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.35.1-1
- Update to 0.35.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Dec 26 08:19:53 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.32.1-1
- Update to 0.32.1

* Thu Dec 19 14:06:54 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.30.1-3
- Run tests

* Fri Dec 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.30.1-2
- Update to 0.30.1

* Fri Dec 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.29.0-1
- Update to 0.29.0

* Wed Dec 04 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.27.0-1
- Update to 0.27.0

* Thu Nov 28 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.26.5-1
- Update to 0.26.5

* Mon Nov 25 10:54:30 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.26.4-1
- Initial package
